Subject: Re: [PATCH 2/2] bloom: enable multiple pathspec bloom keys

From: SZEDER Gábor <[email-masked]>
Date: Tue, 1 Jul 2025 10:50:43 +0200

On Fri, Jun 27, 2025 at 06:50:22AM -0700, Junio C Hamano wrote:
> Totally outside the topic, but I wonder if we can further optimize
> by adding an early rejection using .nowildcard_len?  Instead of
> allowing a wildcarded "dir/*" pathspec element from disabling the
> Bloom filter altogether, we could say "dir/ is not possibly altered,
> so there may be dir/A, dir/B, etc., in the directory, nothing that
> would match dir/* wildcard would have been modified", couldn't we?

Indeed, that's what I demonstrated back in:

  https://public-inbox.org/git/[email-masked]/